---
updatedAt: 2025-11-12T22:59:21.000Z
agentTools:
  projectIndex: https://bluesnap-developers.readme.io/llms.txt
---

# Completing Tokenized Payments

This page describes the process of completing a transaction when using either the following integrations:

* [iOS SDK](https://bluesnap-developers.readme.io/docs/ios-sdk)
* [Android SDK](https://bluesnap-developers.readme.io/docs/android-sdk)
* [Payment Request API (W3C)](https://bluesnap-developers.readme.io/docs/payment-request-api)
* [Secured Payment Collector](https://bluesnap-developers.readme.io/docs/secured-payment-collector)

To make the payment, you need a valid token.  Refer to the information in the relevant integration guide above for details.

The token is used to submit the purchase details to BlueSnap servers in one of the flows above.  After that is done you make a server-to-server API call.

* For one-time payments, use [Create Transactions API](#section-card-transactions-api)

* For a subscriptions, use either of the following:
  * [Recurring Subscription API](#section-recurring-subscription-api)
  * [Merchant-Managed Subscription API](#section-merchant-managed-subscription-api)

The following describes how your API requests should look, regardless of the payment method and regardless of whether the shopper is new or returning.

> 📘 Note:
>
> All the user's details (including billing and shipping info and credit card details) and the fraud session ID are included in the token; therefore, you do not need to include this information in the request.

## Card Transactions API

For one-time payments, send an HTTP `POST` request to `/services/2/transactions` in the relevant BlueSnap environment.

```json Auth Capture example
curl -v -X POST https://sandbox.bluesnap.com/services/2/transactions \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \ 
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
{
	"cardTransactionType": "AUTH_CAPTURE",
	"amount": 25.00, 
	"currency": "USD", 
	"pfToken": "812f6ee706e463d3276e3abeb21fa94072e40695ed423ddac244409b3b652eff_"
}'
```

The `cardTransactionType` may change if you want to split between an Auth and an Auth capture, refer to our  [Auth Capture](https://developers.bluesnap.com/v8976-JSON/docs/auth-capture) and [Auth Only](https://developers.bluesnap.com/v8976-JSON/docs/auth-only) documentation for more details.\ <br />\ <a class="btn btn-primary" href="#" role="button">Back to Top</a>

<hr />
##Recurring Subscription API

For creating a regular subscription, send an HTTP `POST` request to `/services/2/recurring/subscriptions` in the relevant BlueSnap environment.

The following charges for the subscription are managed by BlueSnap, according to the subscription plan. For more information on how to create subscription plans, refer to our [Create Plan](https://developers.bluesnap.com/v8976-JSON/docs/create-plan) and [Create Subscription](https://developers.bluesnap.com/v8976-JSON/docs/create-subscription) documentation for more details.

```json Create Subscription example
curl -v -X POST https://sandbox.bluesnap.com/services/2/recurring/subscriptions \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \ 
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
{
	"planId": 2283845, 
	"paymentSource": {
	   "pfToken": "07ca959efe86d79f70919edc6b057e18b886096e72cb0a7f50707ff6c2e4a739_"
	}
}'
```

<br />
<a class="btn btn-primary" href="#" role="button">Back to Top</a>
<hr />

## Merchant-Managed Subscription API

Unlike the recurring subscription described above, this subscription type is not managed by BlueSnap; the following charges for the subscription are managed by the merchant.  For more information refer to our  [Merchant-Managed Subscription](https://developers.bluesnap.com/v8976-JSON/docs/subscription-management#section-merchant-managed-subscriptions) documentation.

For creating a merchant-managed subscription, send an HTTP `POST` request to `/services/2/recurring/ondemand` of the relevant BlueSnap environment.

```json Create Merchant-Managed Subscription example
curl -v -X POST https://sandbox.bluesnap.com/services/2/recurring/ondemand \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \ 
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
{
  "amount": 45, 
  "currency": "USD",
  "paymentSource":{
      "pfToken": "770993ac06710e3aa6705afe3e49c22904908e187520c37ccf8abb6d80cfb80b_"
  }
}'
```

<br />
<a class="btn btn-primary" href="#" role="button">Back to Top</a>
<hr />

For more information about our Payment API, refer to our [Payment API](https://developers.bluesnap.com/v8976-JSON/docs/bluesnap-payment-api-json) reference documentation.